FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202008100806.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008100806.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9c4a47c OS_GIT_VERSION=4.4.0-202008100806.p0-9c4a47c SOURCE_DATE_EPOCH=1590733075 SOURCE_GIT_COMMIT=9c4a47c56f7fb7cd2677d4adbda48f9a84d3be6a SOURCE_GIT_TAG=v0.0.0-244-g9c4a47c5 SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
WORKDIR /go/src/github.com/openshift/cluster-autoscaler-operator
COPY . .
ENV NO_DOCKER=1
ENV BUILD_DEST=/go/bin/cluster-autoscaler-operator
RUN unset VERSION && make build

FROM openshift/ose-base:v4.4.0.20200810.080634
ENV __doozer=update BUILD_RELEASE=202008100806.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008100806.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9c4a47c OS_GIT_VERSION=4.4.0-202008100806.p0-9c4a47c SOURCE_DATE_EPOCH=1590733075 SOURCE_GIT_COMMIT=9c4a47c56f7fb7cd2677d4adbda48f9a84d3be6a SOURCE_GIT_TAG=v0.0.0-244-g9c4a47c5 SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
COPY --from=builder /go/bin/cluster-autoscaler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-autoscaler-operator/install /manifests
CMD ["/usr/bin/cluster-autoscaler-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-autoscaler-operator" \
        com.redhat.component="ose-cluster-autoscaler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202008100806.p0" \
        io.openshift.build.commit.id="9c4a47c56f7fb7cd2677d4adbda48f9a84d3be6a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-autoscaler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-autoscaler-operator/commit/9c4a47c56f7fb7cd2677d4adbda48f9a84d3be6a" \
        version="v4.4.0"

